## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanDequeConstIteratorTraits< Value > Struct Template Reference

List of all members.

## Public Types

- typedef Value value_type
- typedef const Value & reference
- typedef const Value * pointer
- typedef const Value & const_reference

### template<class Value>
struct XalanDequeConstIteratorTraits< Value >

## Member Typedef Documentation

template<class Value>
typedef const Value& XalanDequeConstIteratorTraits< Value >::const_reference

template<class Value>
typedef const Value* XalanDequeConstIteratorTraits< Value >::pointer

template<class Value>
typedef const Value& XalanDequeConstIteratorTraits< Value >::reference

template<class Value>
typedef Value XalanDequeConstIteratorTraits< Value >::value_type

The documentation for this struct was generated from the following file:

- XalanDeque.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.